@import '../../../../assets/styles/variables.scss';

.navbar {
  background-color: transparent;
}

.ch-item {
  position: relative;
  margin-top: 10px;
  margin-bottom: 10px;
  border-top: 1px solid darken($brand-color-dark, 5%);
  border-left: 1px solid darken($brand-color-dark, 5%);
  border-bottom: 1px solid lighten($brand-color-dark, 15%);
  border-right: 1px solid lighten($brand-color-dark, 15%);
  box-shadow: 2px 2px 4px lighten($brand-color-dark, 25%);

  &.odd {

    .ch-list-background-trans {
      background-color: $header_background;
    }
  }

  &.even {

    .ch-list-background-trans {
      background-color: lighten($brand-color-dark, 25%);
    }
  }

  & .ch-list-background-trans {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    opacity: 0.7;
    z-index: 0;
  }

  & .ch-item-content {
    position: relative;
    padding: 10px;
    z-index: 2;

    & h5 {
      margin-left: 20px;

      & a {
        color: #000;

        &:hover {
          text-decoration: none;
          color: $brand-color-dark;
        }
      }

      & div {
        display: inline-block;
        height: 12px;
        width: 12px;
        border-radius: 12px;
        margin-left: 10px;
        margin-bottom: 5px;

        &.important-status {
          background-color: $btn-danger-bg;
        }

        &.middle-important-status {
          background-color: $btn-warning-bg;
        }

        &.not-important-status {
          background-color: $btn-success-bg;
        }
      }
    }

    & .ch-post-footer {
      font-size: .7rem;
      color: $ch-small-header-font-color;
      padding-top: 5px;
      border-top: 1px solid darken($brand-color-dark, 10%);

      & span {
        margin-right: 15px;

        & a {
          color: $ch-small-header-font-color;

          &:hover {
            color: #000;
            text-decoration: none;
          }
        }
      }
    }

  }

  // & .ch-list-background-trans {
  //   position: absolute;
  //   top: 0;
  //   left: 0;
  //   height: 100%;
  //   width: 100%;
  //   opacity: 0.7;
  //   z-index: 0;
  //
  //   &.odd {
  //     background-color: $header_background;
  //   }
  //
  //   &.even {
  //     background-color: lighten($brand-color-dark, 25%);
  //   }
  // }
}
